/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.followEvents.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.ai.followEvents.entity.FollowEvents;
import vip.xiaonuo.modular.ai.followEvents.entity.FollowEventsVo;
import vip.xiaonuo.modular.ai.followEvents.param.FollowEventsAddParam;
import vip.xiaonuo.modular.ai.followEvents.param.FollowEventsEditParam;
import vip.xiaonuo.modular.ai.followEvents.param.FollowEventsIdParam;
import vip.xiaonuo.modular.ai.followEvents.param.FollowEventsPageParam;

import java.util.List;

/**
 * 事件关注Service接口
 *
 * @author newspaper
 * @date  2024/01/24 10:50
 **/
public interface FollowEventsService extends IService<FollowEvents> {

    /**
     * 获取事件关注分页
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     */
    Page<FollowEventsVo> page(FollowEventsPageParam followEventsPageParam);

    /**
     * 添加事件关注
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     */
    void add(FollowEventsAddParam followEventsAddParam);

    /**
     * 编辑事件关注
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     */
    void edit(FollowEventsEditParam followEventsEditParam);

    /**
     * 删除事件关注
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     */
    void delete(List<FollowEventsIdParam> followEventsIdParamList);

    /**
     * 获取事件关注详情
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     */
    FollowEvents detail(FollowEventsIdParam followEventsIdParam);

    /**
     * 获取事件关注详情
     *
     * @author newspaper
     * @date  2024/01/24 10:50
     **/
    FollowEvents queryEntity(String id);

    void cancel(FollowEventsAddParam followEventsAddParam);
}
