/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.peoplelist.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;
import vip.xiaonuo.modular.base.peoplelist.entity.PeopleList;
import vip.xiaonuo.modular.base.peoplelist.param.PeopleListAddParam;
import vip.xiaonuo.modular.base.peoplelist.param.PeopleListEditParam;
import vip.xiaonuo.modular.base.peoplelist.param.PeopleListIdParam;
import vip.xiaonuo.modular.base.peoplelist.param.PeopleListPageParam;

import java.io.IOException;
import java.util.Date;
import java.util.List;

/**
 * people_listService接口
 *
 * @author wang
 * @date 2023/12/28 16:19
 **/
public interface PeopleListService extends IService<PeopleList> {

    /**
     * 获取people_list分页
     *
     * @author wang
     * @date 2023/12/28 16:19
     */
    Page<PeopleList> page(PeopleListPageParam peopleListPageParam);

    /**
     * 添加people_list
     *
     * @author wang
     * @date 2023/12/28 16:19
     */
    void add(String userName, String nickName, Integer sex, String idCard, String phone, String publicPhone,
             String province, String address, String entryDate, Integer workStatus, String job, String department,
             String workLocation, MultipartFile imgUrl,String orgId) throws IOException;

    /**
     * 编辑people_list
     *
     * @author wang
     * @date 2023/12/28 16:19
     */
    void edit(String id,String userName, String nickName, Integer sex, String idCard, String phone, String publicPhone,
              String province, String address, String entryDate, Integer workStatus, String job, String department,
              String workLocation, MultipartFile imgUrl) throws IOException;

    /**
     * 删除people_list
     *
     * @author wang
     * @date 2023/12/28 16:19
     */
    void delete(List<PeopleListIdParam> peopleListIdParamList);

    /**
     * 获取people_list详情
     *
     * @author wang
     * @date 2023/12/28 16:19
     */
    PeopleList detail(PeopleListIdParam peopleListIdParam);

    /**
     * 获取people_list详情
     *
     * @author wang
     * @date 2023/12/28 16:19
     **/
    PeopleList queryEntity(String id);
}
