/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.pigpen.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * base_pigpen添加参数
 *
 * @author newspaper
 * @date  2023/12/05 08:55
 **/
@Getter
@Setter
public class BasePigpenAddParam {

    /** 栋舍名字 */
    @ApiModelProperty(value = "栋舍名字", required = true, position = 1)
    @NotBlank(message = "buildName不能为空")
    private String buildName;

    /** 父级ID */
    @ApiModelProperty(value = "父级ID", required = true, position = 2)
    @NotNull(message = "parentId不能为空")
    private String parentId;

    /** 类型 0:栋舍 1:楼层 2:单元 */
    @ApiModelProperty(value = "类型 0:栋舍 1:楼层 2:单元", position = 3)
    private Integer type;

    /** 阶段 */
    @ApiModelProperty(value = "阶段", position = 4)
    private String stage;

    /** 容量 */
    @ApiModelProperty(value = "容量", position = 6)
    private Integer capacity;

    /** 排序 */
    @ApiModelProperty(value = "排序", required = true, position = 5)
    @NotNull(message = "sort不能为空")
    private Integer sort;

    /** 所属组织 */
    @ApiModelProperty(value = "所属组织")
    @NotNull(message = "orgId不能为空")
    private String orgId;


}
