/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.clean.billpersonneladmission.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 入场申请实体
 *
 * @author wang
 * @date  2024/01/03 09:27
 **/
@Getter
@Setter
@TableName("bill_personnel_admission")
public class BillPersonnelAdmission {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 0正常入场  1紧急入场 */
    @ApiModelProperty(value = "0正常入场  1紧急入场", position = 2)
    private Integer admissionType;

    /** 来访类型 0人员  1环保车 2拉猪车 3饲料车  4送猪车 5物资车  6送餐 */
    @ApiModelProperty(value = "来访类型 0人员  1环保车  2饲料车  3送猪车 4物资车  ", position = 3)
    private Integer vistitType;

    /** 目的地 */
    @ApiModelProperty(value = "目的地", position = 4)
    private String destName;

    /** 目的地 id */
    @ApiModelProperty(value = "目的地 id", position = 5)
    private Integer destId;

    /** 申请人 */
    @ApiModelProperty(value = "申请人", position = 6)
    private String admissionUserName;

    /** 申请人id */
    @ApiModelProperty(value = "申请人id", position = 7)
    private Integer admissionUserId;

    /** 来访时间 */
    @ApiModelProperty(value = "来访时间", position = 8)
    private Date vistitDate;

    /** 提交时间 */
    @ApiModelProperty(value = "提交时间", position = 9)
    private Date subDate;

    /** 手机号 */
    @ApiModelProperty(value = "手机号", position = 10)
    private String phone;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称", position = 11)
    private String workName;

    /** 证件类型 */
    @ApiModelProperty(value = "证件类型", position = 12)
    private Integer papersType;

    /** 证件号码 */
    @ApiModelProperty(value = "证件号码", position = 13)
    private String papersCode;

    /** 照片地址 */
    @ApiModelProperty(value = "照片地址", position = 14)
    private String imgUrl;

    /** 来访理由 */
    @ApiModelProperty(value = "来访理由", position = 15)
    private String vistitReson;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 16)
    private String orgId;

    /** 当前状态 0待审批 1通过  2拒绝  3待上传物资信息 */
    @ApiModelProperty(value = "当前状态 0待审批 1通过  2拒绝  3待上传物资信息", position = 17)
    private Integer billStatus;

    /** 处理时间 */
    @ApiModelProperty(value = "处理时间", position = 18)
    private Date passDate;

    /** 处理人 */
    @ApiModelProperty(value = "处理人", position = 19)
    private String passUserName;

    /** 处理人id */
    @ApiModelProperty(value = "处理人id", position = 20)
    private Integer passUserId;

    /** 进程id */
    @ApiModelProperty(value = "进程id", position = 21)
    private Integer processId;

    /** 车牌号 */
    @ApiModelProperty(value = "车牌号", position = 22)
    private String carNum;

    /** 拉猪车来源 */
    @ApiModelProperty(value = "拉猪车来源", position = 23)
    private String source;

    /** 人员照片 */
    @ApiModelProperty(value = "人员照片", position = 24)
    private String userImgUrl;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 25)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;
}
