/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingfat.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.feed.feedingfat.entity.FeedingFat;
import vip.xiaonuo.modular.feed.feedingfat.param.*;
import vip.xiaonuo.modular.feed.feedingfat.vo.*;

import java.util.List;
import java.util.Map;

/**
 * 精准饲喂母猪采食Service接口
 *
 * @author wang
 * @date  2023/12/28 09:22
 **/
public interface FeedingFatService extends IService<FeedingFat> {

    FeedingFatVo listFat(FeedingFatAddParam feedingFatAddParam);

    IPage<FeedingFatVo> fatPage(FeedingFatPageParam feedingFatPageParam);

    List<FeedingFatVo2> listDetail(FeedingFatEditParam feedingFatEditParam);

    /*移动端全场实时监测*/
    FeedingFatMoveVo listFatMove(FeedingFatMoveParam fatMoveParam);

    /*移动端栋舍监测*/
    FeedingFatMoveVo2 listFatByUnitId(FeedingFatMove2Param fatMove2Param);


    /*全场近7天采食曲线*/
    List<FeedingFatVo2> feedingDay(FeedingFatMoveParam fatMoveParam);

    /*大屏母猪采食饮水曲线*/
    List<FeedingFatScreenVo> feedScreen(FeedingFatScreenParam fatScreenParam);

    /*大屏肥猪采食饮水曲线*/
    List<FeedingFatScreenVo> feedFatScreen(FeedingFatScreenParam fatScreenParam);

}
