/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.warning.warningInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.core.param.OrgIdParam;

import javax.validation.constraints.NotBlank;

/**
 * 预警Id参数
 *
 * @author newspaper
 * @date  2023/12/26 13:40
 **/
@Getter
@Setter
public class WarningInfoTypeParam extends OrgIdParam {

    /** 类型 */
    @ApiModelProperty(value = "类型", required = true, example = "0今日,1本月")
    @NotBlank(message = "type不能为空")
    private String type;
}
